trikoder_oauth2:

    authorization_server:
        private_key: '%env(PATH_KEY)%/private.key'                     # Change this
        private_key_passphrase: null                            # Passphrase of the private key, if any
        encryption_key: '%env(string:OAUTH2_ENCRYPTION_KEY)%'   # (Optional) Change this
    # Enable and configure grant types.
        grant_types:
            authorization_code:
                # Whether to enable the authorization code grant.
                enable:               true
                # How long the issued access token should be valid for the authorization code grant.
                access_token_ttl:     PT12H
                # How long the issued refresh token should be valid for the authorization code grant.
                refresh_token_ttl:    ~
                # How long the issued authorization code should be valid for.
                # The value should be a valid interval: http://php.net/manual/en/dateinterval.construct.php#refsect1-dateinterval.construct-parameters
                auth_code_ttl:        PT10M
                # Whether to require code challenge for public clients for the authorization code grant.
                require_code_challenge_for_public_clients: true

    resource_server:
        public_key: '%env(PATH_KEY)%/public.key'                       # Change this
    
    scopes: ['sso_consejo']

    persistence:
        doctrine: null
    
    # Set a custom prefix that replaces the default "ROLE_OAUTH2_" role prefix.
    # role_prefix:          ROLE_OAUTH2_
